#!BuildIgnore:          post-build-checks
Name:		nagios-plugins
Version:	2.0.2
Release:	36.1
Summary:	Host/service/network monitoring program plugins for Nagios

Group:		Applications/System
License:	GPL
URL:		http://nagiosplug.sourceforge.net/
Source0:	http://dl.sf.net/sourceforge/nagiosplug/%{name}-%{version}.tar.bz2
Source1:	%{name}-rpmlintrc
Patch100:	nagios-plugins_DISABLE-SMARTENABLE.patch
Patch200:	revert-check_mailq-autodetect.diff
Patch201:	nagios-plugins-2.0.2_dnsfix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Prefix: %{_prefix}/lib/nagios/plugins
PreReq:	sed

%{!?custom:%global custom 0}
Obsoletes: nagios-plugins-custom nagios-plugins-extras
Provides:  nagios-plugins-custom nagios-plugins-extras

# Requires
%if 0%{?sles_version} > 0
BuildRequires:	mysql-client
%endif

%if 0%{?suse_version} == 1030
BuildRequires: freeradius-client freeradius-client-devel
%endif

%if 0%{?suse_version}
BuildRequires:	tcpd-devel libsmbclient libsmbclient-devel openldap2-devel perl-Net-SNMP fping glibc bind-utils
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
BuildRequires:  tcp_wrappers openldap-devel freeradius samba-common openldap-devel net-snmp-perl glibc-common
%endif

BuildRequires: openssl-devel postgresql-devel mysql-devel zlib-devel glibc-devel libgcc gcc gcc-c++ net-snmp net-snmp-devel openssh qstat iputils samba-client procps
Requires: qstat iputils
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
Requires: /usr/bin/smbclient
%else
Requires: samba-client
%endif

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios. This package
contains those plugins.


%prep
%setup -q
%patch100
%patch200 -p1
%patch201 -p1

%build
./configure \
--prefix=%{_prefix} \
--exec-prefix=%{_prefix} \
--libexecdir=%{_prefix}/lib/nagios/plugins \
--sysconfdir=%{_sysconfdir}/nagios \
--datadir=%{_datadir} \
--with-ping6-command="/bin/ping6 -n -U -w %d -c %d %s" \
--with-ipv6 \
--with-cgiurl=/nagios/cgi-bin \
--with-rpcinfo-command=%{_sbindir}/rpcinfo \
--with-mailq-command=%{_bindir}/mailq \
--with-qstat-command=/var/qmail/bin/qmail-qstat
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-strip
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=${RPM_BUILD_ROOT} install-root
%__install -d ${RPM_BUILD_ROOT}/etc/nagios
##__install -m 664 command.cfg ${RPM_BUILD_ROOT}/etc/nagios
%find_lang %{name}
# fix lib path in perl plugins
cd ${RPM_BUILD_ROOT}%{_prefix}/lib/nagios/plugins
# set qmail-qstat if not found
sed -i s@'$PATH_TO_QMAIL_QSTAT = "";'@'$PATH_TO_QMAIL_QSTAT = "/var/qmail/bin/qmail-qstat";'@ %{buildroot}%{_prefix}/lib/nagios/plugins/utils.pm
sed -i s@"{'PATH'}='';"@"{'PATH'}='/usr/bin:/usr/sbin';"@ %{buildroot}%{_prefix}/lib/nagios/plugins/check_mailq 

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_icmp || :
chmod 4711 %{_exec_prefix}/lib/nagios/plugins/check_dhcp || :

%files -f %{name}.lang
%defattr(-,root,root)
##config(missingok,noreplace) /etc/nagios/command.cfg
%doc CODING COPYING FAQ LEGAL README REQUIREMENTS SUPPORT THANKS
%doc ChangeLog
%defattr(775,root,root)
%dir %{_exec_prefix}/lib/nagios/plugins
%{_datadir}/locale/de/LC_MESSAGES/nagios-plugins.mo
%{_datadir}/locale/fr/LC_MESSAGES/nagios-plugins.mo
%{_exec_prefix}/lib/nagios/plugins

%changelog
* Tue Jun 24 2014 cs@linux-administrator.com
- backport DNS fixes from master
  (nagios-plugins-2.0.2_dnsfix.patch)
* Tue Jun 24 2014 cs@linux-administrator.com
- fix check_mailq by reverting autodetection patches
  (revert-check_mailq-autodetect.diff)
* Mon Jun 23 2014 cs@linux-administrator.com
- update to release 2.0.2
* Fri Oct  4 2013 cs@linux-administrator.com
- update to release 1.5
